Клуб API Карт

Есть ли версия yandex-карт без встроенного jQuery?

Пост в архиве.
Innuendo108
3 июня 2011, 16:05

В файле движка яндекс-карт уже есть встроенный jQuery.

Там где мне нужно встроить карту, уже есть jQuery-скрипт. Зачем теперь мне 2 раза грузить jQuery? Может есть версия yandex-карт-движка без jQuery, и я смогу пользоваться вызовами jQuery функций из моего скрипта (тем более у меня свежий 1.6.1 а не 1.3.2 как в Яндекс картах)

Заранее спасибо за ответ.

6 комментариев

Нет, такой версии нет

В том числе там не совсем 1.3.2, но с некими патчами

Ясно.

Но если мне этого jQuery хватает к примеру, то я могу файл yandex-скрипта установить первым в списке подключаемых скриптов, и не подключать jQuery свой на этой странице.

jQuery из яндекс-скрипта же будет доступен мне как обычный jQuery.

Доступна как YMaps.jQuery

Чтобы использовать ее "обычным" способом достаточно сказать

window.jQuery = window.$ = YMaps.jQuery

Понимаю что версии jQuery не обратно совместимы, но думаю стоит дать разработчику выбор api: с jQuery, без jQuery.

PS: Представляю насколько тяжко живется разработчикам, так как тащить аморально устаревший jQuery 1.3.2, которому скоро 3 года исполниться, приходиться не от хорошей жизни.
Пруф: http://api.yandex.ru/maps/jsapi/doc/ref/reference/ymaps.xml

при этом - 1.3 работает как часы.

Правда, говорят, 1.6 работает малек быстрее

Разработчики уверяют 1.7 быстрее, улучшена кросбраузерность, etc.

 

Если не секрет, модуль core (_YMaps.js) чем собираете? Интересна именно как происходит разработка (какой шаблон используется) и чем потом собираете в один файл.

Что то наподобие саб модулей, тестирование, затем склейка, а после Closure Compiler, не?